%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-jsp-2.2-api
Version:          1.0.1
Release:          %mkrel 15
Group:            Development/Java
Summary:          JavaServer(TM) Pages 2.2 API
License:          CDDL or GPLv2 with exceptions
URL:              http://www.jboss.org/

# git clone git://github.com/jboss/jboss-jsp-api_spec.git jboss-jsp-2.2-api
# cd jboss-jsp-2.2-api/ && git archive --format=tar --prefix=jboss-jsp-2.2-api-1.0.1.Final/ jboss-jsp-api_2.2_spec-1.0.1.Final | xz > jboss-jsp-2.2-api-1.0.1.Final.tar.xz
Source0:          %{name}-%{namedversion}.tar.xz

BuildRequires:    maven-local
BuildRequires:    mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)
BuildRequires:    mvn(org.jboss.spec.javax.el:jboss-el-api_2.2_spec)
BuildRequires:    mvn(org.jboss.spec.javax.servlet:jboss-servlet-api_3.0_spec)

BuildArch:        noarch

%description
JSR-000245: JavaServer(TM) Pages 2.2

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc	
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%pom_remove_plugin :maven-source-plugin

%mvn_file : %{name}
%mvn_alias : javax.servlet.jsp:jsp-api

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE
%doc README

%files javadoc -f .mfiles-javadoc
%license LICENSE




%changelog
* Fri May 19 2017 neoclust <neoclust> 1.0.1-15.mga6
+ Revision: 1103290
- Add missing buildrequires
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.0.1-13.mga6
+ Revision: 976556
- First rebuild of the java stack
- sync package jboss-jsp-2.2-api with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Fri Jan 23 2015 daviddavid <daviddavid> 1.0.1-9.mga5
+ Revision: 811945
- fix jboss-jsp-2.2-api.jar file directory
  * should be installed on %%{_javadir} not on %%{_javadir}/%%{name} directory
  * do not use for now %%mvn_install macro

* Thu Jan 22 2015 daviddavid <daviddavid> 1.0.1-8.mga5
+ Revision: 811911
- build with xmvn
- use .mfiles generated during build
- update BuildRequires and Requires
- fix Group

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-7.mga5
+ Revision: 748871
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Dec 22 2013 dmorgan <dmorgan> 1.0.1-5.mga4
+ Revision: 559778
- Build with maven-local

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.1-3.mga3
+ Revision: 355037
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 dmorgan <dmorgan> 1.0.1-2.mga3
+ Revision: 339003
- Add jboss-specs-parent as builrequire ( FTBFS)

* Sat Jun 23 2012 dmorgan <dmorgan> 1.0.1-1.mga3
+ Revision: 262841
- New version 1.0.1

* Fri Aug 12 2011 dmorgan <dmorgan> 1.0.0-1.mga2
+ Revision: 132758
- Clean spec file

  + gil <gil>
    - imported package jboss-jsp-2.2-api

